<div class="container">
    <h1>Minesweeper</h1>

    <p>
        Columns: {$minesweeper->getColumns()},
        Rows: {$minesweeper->getRows()},
        Mines: {$minesweeper->getMinesQuantity()}
    </p>

    {var $minefield = $minesweeper->getMineField()}
    <div class="table-container">
        <table>
            {foreach $minefield as $rows}
            <tr>
                {foreach $rows as $cell}
                    {if $cell === 'x'}
                        {var $backgroundColor = 255}
                    {else}
                        {var $backgroundColor = 29* $cell}
                    {/if}
                    <td style="background: rgb(255, {255 - $backgroundColor}, {255 - $backgroundColor});">
                        {if $cell !== 0}{$cell|capitalize}{/if}
                    </td>
                {/foreach}
            </tr>
            {/foreach}
        </table>
    </div>
</div>